# Generated by rust2rpm 27
%bcond check 1

Name:           yazi
Version:        25.3.2
Release:        %autorelease
Summary:        Yazi file manager

License:        MIT

URL:            https://yazi-rs.github.io 
Source:         https://github.com/sxyazi/yazi/archive/refs/tags/v%{version}.tar.gz

Requires: file
Recommends: ffmpeg
Recommends: p7zip
Recommends: p7zip-plugins
Recommends: jq
Recommends: poppler
Recommends: fd-find
Recommends: ripgrep
Recommends: fzf
Recommends: zoxide
Recommends: ImageMagick
Recommends: git

BuildRequires: cargo-rpm-macros >= 24
BuildRequires: make
BuildRequires: gcc
BuildRequires: git

%global _description %{expand:
Blazing fast terminal file manager written in Rust, based on async I/O.}

%description %{_description}

%prep
%autosetup -n yazi-%{version} -p1

%build
%if 0%{?fedora} >= 42
CFLAGS="$CFLAGS -std=gnu17"
%endif
RUSTFLAGS='-Copt-level=3 -Cdebuginfo=2 -Ccodegen-units=1 -Cstrip=none -Cforce-frame-pointers=yes' cargo build -j${RPM_BUILD_NCPUS} --release --locked
cargo tree --workspace --edges no-build,no-dev,no-proc-macro --no-dedupe --target all --prefix none --format "{l}: {p}" | sed -e "s: ($(pwd)[^)]*)::g" -e "s: / :/:g" -e "s:/: OR :g" | sort -u > LICENSE.dependencies

%install
install -Dpm 0755 -t %{buildroot}%{_bindir} target/release/yazi target/release/ya 

%if %{with check}
%check
# %%cargo_test
%endif

%files
%license LICENSE
%license LICENSE-ICONS
%license LICENSE.dependencies
%doc README.md
%{_bindir}/ya
%{_bindir}/yazi

%changelog
%autochangelog
